name: Autocloser
on: [issues, pull_request]
jobs:
  autoclose:
    runs-on: ubuntu-latest
    steps:
    - name: Autoclose new issues and PRs
      uses: roots/issue-closer@v1.1
      with:
        repo-token: ${{ secrets.ORGANIZATION_ADMIN_TOKEN }}
        issue-pattern: "^exact-string-will-never-match$"
        pr-pattern: "^exact-string-will-never-match$"
        issue-close-message: |
          This package is considered feature-complete, and is now in **security-only** maintenance mode, following a [decision by the Technical Steering Committee](https://github.com/laminas/technical-steering-committee/blob/2b55453e172a1b8c9c4c212be7cf7e7a58b9352c/meetings/minutes/2020-08-03-TSC-Minutes.md#vote-on-components-to-mark-as-security-only).
          If you have a security issue, please [follow our security reporting guidelines](https://getlaminas.org/security/).
          If you wish to take on the role of maintainer, please [nominate yourself](https://github.com/laminas/technical-steering-committee/issues/new?assignees=&labels=Nomination&template=Maintainer_Nomination.md&title=%5BNOMINATION%5D%5BMAINTAINER%5D%3A+%7Bname+of+person+being+nominated%7D)
          
          If you are looking for an actively maintained package alternative, we recommend:
          
          - [brick/math](https://packagist.org/packages/brick/math)
        pr-close-message: |
          This package is considered feature-complete, and is now in **security-only** maintenance mode, following a [decision by the Technical Steering Committee](https://github.com/laminas/technical-steering-committee/blob/2b55453e172a1b8c9c4c212be7cf7e7a58b9352c/meetings/minutes/2020-08-03-TSC-Minutes.md#vote-on-components-to-mark-as-security-only).
          If you have a security issue, please [follow our security reporting guidelines](https://getlaminas.org/security/).
          If you wish to take on the role of maintainer, please [nominate yourself](https://github.com/laminas/technical-steering-committee/issues/new?assignees=&labels=Nomination&template=Maintainer_Nomination.md&title=%5BNOMINATION%5D%5BMAINTAINER%5D%3A+%7Bname+of+person+being+nominated%7D)
          
          If you are looking for an actively maintained package alternative, we recommend:
          
          - [brick/math](https://packagist.org/packages/brick/math)
